---
# node exporter exposes data only into the private network
node_exporter_listen_address: "{{ stage_private_server_ip }}"

# TODO the blackbox exporter shouldn't be DEV tagged at all
blackbox_exporter_fqdn: "dev-blackbox-01.{{ domain }}"

blackbox_http_2xx_targets:
  - "https://{{ stage }}-keycloak-01.smardigo.digital/auth/"
  - "https://{{ stage_kube }}-awx.smardigo.digital"
# - 'https://{{ stage }}-management-01-connect.smardigo.digital/'

blackbox_http_2xx_additional_targets: []

prometheus_tsdb_rentention_time: "4w"

prometheus_federation_enabled: true
prometheus_remote_write_enabled: true

prometheus_alert_diskspaceusage_warning: 85
prometheus_alert_pg_replication_lag: 120

alertmanager_channel_smardigo: "#monitoring-{{ stage }}"

prometheus_enabled: true
prometheus_alertmanager_enabled: true
prometheus_grafana_enabled: true
prometheus_prom2teams_enabled: true

prometheus_service_names:
  - "{{ (prometheus_enabled | default(true)) | ternary(prometheus_id, '') }}"
  - "{{ (prometheus_alertmanager_enabled | default(true)) | ternary(alertmanager_id, '') }}"
  - "{{ (prometheus_grafana_enabled | default(true)) | ternary(grafana_id, '') }}"
  - "{{ (prometheus_prom2teams_enabled | default(true)) | ternary(prom2teams_id, '') }}"

prometheus_docker_volume_names:
  - "{{ (prometheus_alertmanager_enabled | default(true)) | ternary(alertmanager_id + '-data', '') }}"
  - "{{ (prometheus_grafana_enabled | default(true)) | ternary(grafana_id + '-data', '') }}"
